/*
 * Copyright 2022 KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef LOGGER_H
#define LOGGER_H

#if 0
#include <spdlog/logger.h>
#include <spdlog/sinks/daily_file_sink.h>
#endif

#include <QObject>

namespace common {

#if 0
class Logger : public QObject
{
    Q_OBJECT
public:
    explicit Logger(QObject *parent = nullptr);
    static void outputMessage(QtMsgType type, const QMessageLogContext &context,
                            const QString &msg);

private:
    static std::shared_ptr<spdlog::logger> logger();
};
#endif

class QmlLogger :public QObject
{
    Q_OBJECT
public:

    Q_INVOKABLE void debug(const QString &msg);
    Q_INVOKABLE void info(const QString &msg);
    Q_INVOKABLE void warning(const QString &msg);
    Q_INVOKABLE void critical(const QString &msg);
};

};  // namespace utils

#endif  // LOGGER_H
