QT -= gui
QT += core KIOCore KIOFileWidgets KIOWidgets KNTLM sql KIconThemes

TEMPLATE = lib
CONFIG += plugin
DEFINES += KYLINTABLETDESKTOPBACKEND_LIBRARY

CONFIG += c++11
CONFIG += link_pkgconfig
PKGCONFIG += gsettings-qt

# include(baseHead.pri)

# The following define makes your compiler emit warnings if you use
# any Qt feature that has been marked deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

# You can also make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
    appnamesort.cpp \
    database-operation.cpp \
    icon-theme.cpp \
    kylin-tablet-desktop-backend.cpp \
    ukuisettings.cpp \
    utils.cpp

HEADERS += \
    appnamesort.h \
    database-operation.h \
    icon-theme.h \
    types.h \
    kylin-tablet-desktop-backend_global.h \
    kylin-tablet-desktop-backend.h \
    ukuisettings.h \
    utils.h

TRANSLATIONS += \
    translations/zh_CN.ts

isEmpty(PREFIX) {
    PREFIX = /usr
}

schemas.files += *.xml
schemas.path = /usr/share/glib-2.0/schemas/

qm_files.path = $${PREFIX}/share/kylin-tablet-desktop-backend/translations
qm_files.files = translations/*
CONFIG(release, debug|release) {
    !system($$PWD/translate_generation.sh): error("Failed to generate translation")
}
INSTALLS += \
    qm_files \
    schemas

# Default rules for deployment.
unix {
    target.path = /usr/lib
}
!isEmpty(target.path): INSTALLS += target
