CONFIG(debug, debug|release) {
SOURCES += \
        main.cpp
} else {
TEMPLATE = lib
TARGET = kylin-tablet-desktop-plugin
}

equals(QT_MAJOR_VERSION, 5) | equals(QT_MINOR_VERSION, 15) {
    CONFIG += qmltypes
    QML_IMPORT_NAME = com.kylin.tablet
    QML_IMPORT_MAJOR_VERSION = 1
    INCLUDEPATH += base core utils
}

QT += quick quickcontrols2
CONFIG += c++11 qt plugin

QMAKE_CXXFLAGS += -g

#include($$PWD/KylinItemView/KylinItemView.pri)
include($$PWD/src.pri)

#if (contains(QMAKE_HOST.arch, x86_64) || contains(QMAKE_HOST.arch, aarch64)) {
#    include($$PWD/../qBreakpad/qBreakpad.pri)
#} else {
#}

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

qml.files = $$files(ui/qml/* )
qml.prefix =
RESOURCES += qml

images.files += $$files(ui/images/*.svg) \
        $$files(ui/images/categories/*.svg) \
        $$files(ui/images/*.png)
images.prefix =
RESOURCES += images

qmldir.files = ui/qml/qmldir
RESOURCES += qmldir

DISTFILES = qmldir \
    ui/images/uninstall.svg \
    ui/images/uninstallbtn.png
qmldir_plugin.files = qmldir
RESOURCES += qmldir_plugin

# Additional import path used to resolve QML modules in Qt Creator's code model
QML_IMPORT_PATH =

# Additional import path used to resolve QML modules just for Qt Quick Designer
QML_DESIGNER_IMPORT_PATH =

# Default rules for deployment.
desktopFile.files = $$PWD/../data/kylin-tablet-desktop-general.desktop
desktopFile.path = /etc/xdg/autostart

pluginFile.files = $$PWD/../kylin-tablet-desktop/libkylin-tablet-desktop-plugin.so

#dirFile.files = $$PWD/../kylin-tablet-desktop/qmldir
#dirFile.path = $$[QT_INSTALL_QML]/com/kylin/tablet

qml.path = /usr/share/ukui/tablet/contents/ui
qmldir.path = /usr/share/ukui/tablet/contents/ui

target.path = /usr/bin
INSTALLS +=  \
    target \
    desktopFile \
    qmldir \
    qml

unix {
    uri = com.kylin.tablet
    installPath = $$[QT_INSTALL_QML]/$$replace(uri, \., /)
    qmldir_plugin.path = $$installPath
    target.path = $$installPath
    INSTALLS += target qmldir_plugin qml
}

LIBS += -lukui-log4qt






